Bug 1308851 (CVE-2016-2402) - CVE-2016-2402 okhttp: certificate pining bypass
Summary: CVE-2016-2402 okhttp: certificate pining bypass
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-2402
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1308853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-16 09:41 UTC by Andrej Nemec
Modified: 2019-09-29 13:44 UTC (History)
3 users (show)

Fixed In Version: okhttp 3.1.2, okhttp 2.7.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:48:23 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-02-16 09:41:10 UTC
A vulnerability was discovered in OkHttp that allows an attacker to bypass
certificate pinning. OkHttp did not validate that the pinned certificate
was in the chain to a trusted certificate authority.

External reference:

https://publicobject.com/2016/02/11/okhttp-certificate-pinning-vulnerability/

CVE request:

http://seclists.org/oss-sec/2016/q1/308

Comment 1 Andrej Nemec 2016-02-16 09:42:10 UTC
Created okhttp tracking bugs for this issue:

Affects: fedora-all [bug 1308853]

Comment 2 Andrej Nemec 2016-02-18 09:23:42 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/370

Comment 3 Fedora Update System 2016-02-29 22:23:22 UTC
okhttp-2.7.4-1.fc23, okio-1.6.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:48:23 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.